python-oslo.middleware (6.1.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2024 13:02:55 +0000

python-oslo.middleware (6.1.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:29:33 +0000

python-oslo.middleware (6.0.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 09:54:22 +0000

python-oslo.middleware (5.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:29:51 -0400

python-oslo.middleware (5.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:17:28 -0500

python-oslo.middleware (5.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 16:30:23 -0400

python-oslo.middleware (4.5.1-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:16:03 -0400

python-oslo.middleware (4.5.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:05:00 -0400

python-oslo.middleware (4.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 15:13:52 -0500

python-oslo.middleware (4.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 09:13:53 -0400

python-oslo.middleware (4.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:41:39 -0400

python-oslo.middleware (4.2.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 13:36:02 -0400

python-oslo.middleware (4.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:34:32 -0400

python-oslo.middleware (4.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:40:20 -0400

python-oslo.middleware (4.0.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:47:25 -0400

python-oslo.middleware (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 15:52:54 -0400

python-oslo.middleware (3.38.1-0ubuntu2) focal; urgency=medium

  * Use python3 when detecting module name from setup.py in autopkgtest.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Nov 2019 14:26:43 +0000

python-oslo.middleware (3.38.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-privacy-breach-in-README.rst.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:46:01 -0400

python-oslo.middleware (3.38.0-0ubuntu3) eoan; urgency=medium

  * d/tests/*: Drop Python 2.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jun 2019 14:10:12 -0400

python-oslo.middleware (3.38.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:13:45 -0400

python-oslo.middleware (3.38.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 12:11:30 -0400

python-oslo.middleware (3.37.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Removed package versions when satisfied in Buster.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 22:33:13 +0100

python-oslo.middleware (3.37.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:03:54 +0000

python-oslo.middleware (3.37.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/tests/control: Drop use of needs-recommends.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:23:11 +0000

python-oslo.middleware (3.36.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:09:38 +0200

python-oslo.middleware (3.36.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased remove-privacy-breach-in-README.rst.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 00:37:19 +0200

python-oslo.middleware (3.36.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-privacy-breach-in-README.rst.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Jul 2018 15:04:46 -0400

python-oslo.middleware (3.35.0-2ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.
  * d/control: Switch to python3-sphinx for doc build.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jun 2018 09:23:53 +0100

python-oslo.middleware (3.35.0-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Update Vcs-* fields.
    - d/control: Enable autopkgtest-pkg-python.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 10:17:41 +0100

python-oslo.middleware (3.34.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:25:16 +0000

python-oslo.middleware (3.34.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 10:19:54 +0000

python-oslo.middleware (3.34.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:48:01 +0000

python-oslo.middleware (3.33.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:22:53 +0000

python-oslo.middleware (3.32.1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-parsing-of-forwarded-header.patch: Drop, fixed upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 16:48:28 +0000

python-oslo.middleware (3.30.0-2) unstable; urgency=medium

  * Build-depends on python-openstackdocstheme (Closes: #880188).
  * Uploading to unstable.
  * Fixed watch file.
  * Standards-Version is now 4.1.1.
  * Using pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2017 18:06:14 +0000

python-oslo.middleware (3.30.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless transition packages.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Aug 2017 01:05:11 +0000

python-oslo.middleware (3.30.0-0ubuntu1.1) artful; urgency=medium

  * d/p/fix-parsing-of-forwarded-header.patch: Fix invalid parsing of
    forwarded header (LP: #1711573).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Sep 2017 09:09:11 -0400

python-oslo.middleware (3.30.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:03:49 -0400

python-oslo.middleware (3.27.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Drop Breaks/Replaces with oslo-middleware.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:24:35 +0100

python-oslo.middleware (3.26.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:03:46 +0100

python-oslo.middleware (3.23.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Feb 2017 14:57:47 -0500

python-oslo.middleware (3.23.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 11:12:03 -0500

python-oslo.middleware (3.22.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 11:49:29 -0500

python-oslo.middleware (3.21.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (build-)depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Dec 2016 09:52:57 -0500

python-oslo.middleware (3.20.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 
  * debian/control:Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 11:09:08 -0400

python-oslo.middleware (3.19.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 13:55:22 -0400

python-oslo.middleware (3.18.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Aug 2016 08:53:36 +0100

python-oslo.middleware (3.14.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Drop the python-oslo-* transition packages as Xenial is released.
  * Switch to pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 18:59:30 +0000

python-oslo.middleware (3.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> in Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:11:52 +0000

python-oslo.middleware (3.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 09:32:04 +0000

python-oslo.middleware (3.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:33:06 +0200

python-oslo.middleware (3.7.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.
  * d/p/patch-ordereddict-out.patch: Removed. Fixed in upstream.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 01:39:53 +0000

python-oslo.middleware (3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patch-ordereddict-out.patch.
  * Fixed debian/copyright ordering.
  * Fixed duplicate long descriptions.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 06:47:52 +0000

python-oslo.middleware (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Added patch to remove ordereddict from requirements.txt
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 04:49:46 +0000

python-oslo.middleware (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed privacy breach in README.rst.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 14:29:29 +0100

python-oslo.middleware (2.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:17:01 +0000

python-oslo.middleware (2.8.0-1) experimental; urgency=medium

   * New upstream release.
   * Fixed (build-)depends for this release.
   * Removed adds-missing-files.patch file.
   * Add myself to Uploaders field.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Tue, 01 Sep 2015 10:10:47 -0400

python-oslo.middleware (2.4.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed debian/patches/do-not-run-test-on-toplevel-folder.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 09:10:35 +0000

python-oslo.middleware (2.1.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 17:05:28 +0100

python-oslo.middleware (1.3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional packages for
      *oslo-middleware packages in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:50:22 +0100

python-oslo.middleware (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2015 13:51:22 +0100

python-oslo.middleware (0.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #769283)

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 19:50:52 +0800

